# Amnesia Collection 1.3.0
# BID: F6FB99E54347E740
# Double buffer is hardcoded line by line, it's hard to make it triple

DECLARATIONS:
  -
    type: variable
    name: fps_lock
    value_type: double
    default_value: 0.03333333333333333
    evaluate: "1 / FPS_TARGET"
  -
    type: variable
    name: dr_target
    value_type: float
    default_value: 33.333333
    evaluate: FRAMETIME_TARGET
MASTER_WRITE:
  -
    type: asm_a64
    main_offset: 0x13281C
    instructions: [
      [adrp, x8, $fps_lock],
      [ldr, x8, [x8, $fps_lock]]
    ]
  -
    type: asm_a64
    main_offset: 0x3E324C
    instructions: [
      [adrp, x8, $fps_lock],
      [ldr, x8, [x8, $fps_lock]]
    ]
  -
    type: asm_a64
    main_offset: 0x2D94E8
    instructions: [
      [adrp, x9, $dr_target],
      [ldr, w9, [x9, $dr_target]]
    ]
  -
    type: asm_a64
    main_offset: 0x597C5C
    instructions: [
      [adrp, x9, $dr_target],
      [ldr, w9, [x9, $dr_target]]
    ]

